@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}
.hero-project {
  position: relative;
  text-align: center;
  overflow: hidden;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.hero-project img {
  width: 100%;
  height: 400px;
  object-fit: cover;
  margin-top: 3rem;
}


.project-content {
  max-width: 1200px;
  margin: 2rem auto;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 2rem;
  padding: 0 2rem;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.project-content .text h2 {
  color: #1a2a6c;
  font-size: 1.5rem;
  font-weight: 500;
  margin-bottom: 1rem;
}
.project-content p {
  font-size: 1rem;
  font-weight: 300;
}
.sidebar {
  font-size: 0.95rem;
  font-weight: 300;
  text-align: right;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.sidebar p{
    margin-bottom: 1rem;
}
.sidebar strong {
  color: #1a2a6c;
}

.project-text {
  max-width: 800px;
  margin: 2rem auto;
  padding: 0 2rem;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.project-text h2 {
  font-size: 1.5rem;
  font-weight: 500;
  color: #1a2a6c;
  margin-bottom: 1rem;
}
.project-text p {
  margin-bottom: 1rem;
  font-size: 1rem;
  font-weight: 300;
}

.gallery {
  max-width: 1200px;
  margin: 2rem auto;
  display: grid;
  gap: 1rem;
  padding: 0 2rem;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.gallery-3 {
  grid-template-columns: 2fr 1fr 1fr;
}
.gallery-4 {
  grid-template-columns: repeat(2, 1fr);
}
.gallery img {
  width: 100%;
  border-radius: 8px;
  object-fit: cover;
}
.gallery-split {
  max-width: 1200px;
  margin: 2rem auto;
  display: grid;
  grid-template-columns: 2.5fr 2fr;
  gap: 1rem;
  padding: 0 2rem;
  opacity: 0;
  animation: fadeIn 2s forwards; 
  animation-delay: 0.5s;
}
.gallery-left img {
  width: 100%;  
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}
.gallery-right {
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  gap: 1rem;
}
.gallery-right img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}
@media (max-width: 768px) {
 .hero-project img {
    height: 10vh;
    min-height: 200px;
  }
    .gallery-split {
    grid-template-columns: 1fr;
  }
  .gallery-right {
    grid-template-rows: auto;
  }
}
@media (max-width: 992px) {
  .project-content {
    grid-template-columns: 1fr;
  }
 .hero-project img {
    height: 20vh;
    min-height: 200px;
  }
  .gallery-3 {
    grid-template-columns: 1fr;
  }
  .gallery-4 {
    grid-template-columns: 1fr;
  }
}
